Name:		pdfresurrect
Version:	0.23
Release:	%mkrel 1
Summary:	PDF Analysis and Scrubbing Utility
License:	GPLv3+
Group:		Publishing
URL:		https://github.com/enferex/pdfresurrect
Source0:	https://github.com/enferex/%{name}/archive/v%{version}/%{name}-%{version}.tar.gz
Patch1:		pdfresurrect-0001-Don-t-reset-compiler-s-flags-during-checks.patch
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gcc

%description
PDFResurrect is a tool aimed at analyzing PDF documents. The PDF format
allows for previous document changes to be retained in a more recent
version of the document, thereby creating a running history of changes
for the document. This tool attempts to extract all previous versions
while also producing a summary of changes between versions. This tool
can also "scrub" or write data over the original instances of PDF objects
that have been modified or deleted, in an effort to disguise information
from previous versions that might not be intended for anyone else to read.

%prep
%autosetup -p1

# make autoconf happy
cp -a /usr/share/automake-*/config.{guess,sub} .
cp -a /usr/share/automake-*/install-sh .

%build
autoreconf -vif
%configure
%make_build

%install
%make_install

%files
%license LICENSE
%doc AUTHORS README
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.*


%changelog
* Sun Nov 06 2022 daviddavid <daviddavid> 0.23-1.mga9
+ Revision: 1903970
- new version: 0.23

* Tue Mar 15 2022 umeabot <umeabot> 0.22-2.mga9
+ Revision: 1793398
- Mageia 9 Mass Rebuild

* Thu Feb 25 2021 daviddavid <daviddavid> 0.22-1.mga9
+ Revision: 1690715
- new version: 0.22

* Tue Aug 04 2020 daviddavid <daviddavid> 0.21-1.mga8
+ Revision: 1610865
- new version: 0.21

* Wed Jul 22 2020 daviddavid <daviddavid> 0.20-2.mga8
+ Revision: 1607845
- fix build with new autoconf

* Thu Mar 19 2020 daviddavid <daviddavid> 0.20-1.mga8
+ Revision: 1557922
- new version: 0.20

* Fri Mar 06 2020 daviddavid <daviddavid> 0.19-3.mga8
+ Revision: 1554310
- add upstream patch to fix CVE-2020-9549 (mga#26304)

* Thu Feb 20 2020 umeabot <umeabot> 0.19-2.mga8
+ Revision: 1546437
- Mageia 8 Mass Rebuild

* Mon Feb 03 2020 daviddavid <daviddavid> 0.19-1.mga8
+ Revision: 1486516
- new version: 0.19
+ wally <wally>
- replace deprecated %%configure2_5x

* Mon Aug 19 2019 daviddavid <daviddavid> 0.18-1.mga8
+ Revision: 1429926
- new version: 0.18, fixes CVE-2019-14267 and CVE-2019-14934 (mga#25942)

* Sat Jul 27 2019 daviddavid <daviddavid> 0.16-1.mga8
+ Revision: 1424459
- new version: 0.16

* Thu May 02 2019 daviddavid <daviddavid> 0.15-1.mga7
+ Revision: 1396148
- initial package pdfresurrect

